GET /v1/Workspaces/{WorkspaceSid}/TaskQueues/Statistics

twilio.com:twilio_taskrouter_v1

Summary:
Operation ID: ListTaskQueuesStatistics
Auth: unknown

Parameters (10)

EndDate (string, query, optional)

Only calculate statistics from this date and time and earlier, specified in GMT as an [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date-time.

FriendlyName (string, query, optional)

The `friendly_name` of the TaskQueue statistics to read.

Minutes (integer, query, optional)

Only calculate statistics since this many minutes in the past. The default is 15 minutes.

Page (integer, query, optional)

The page index. This value is simply for client state.

Constraints: {'minimum': 0}

PageSize (integer, query, optional)

How many resources to return in each list page. The default is 50, and the maximum is 1000.

Constraints: {'minimum': 1, 'maximum': 1000}

PageToken (string, query, optional)

The page token. This is provided by the API.

SplitByWaitTime (string, query, optional)

A comma separated list of values that describes the thresholds, in seconds, to calculate statistics on. For each threshold specified, the number of Tasks canceled and reservations accepted above and below the specified thresholds in seconds are computed.

StartDate (string, query, optional)

Only calculate statistics from this date and time and later, specified in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

TaskChannel (string, query, optional)

Only calculate statistics on this TaskChannel. Can be the TaskChannel's SID or its `unique_name`, such as `voice`, `sms`, or `default`.

WorkspaceSid (string, path, required)

The SID of the Workspace with the TaskQueues to read.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WS[0-9a-fA-F]{32}$'}

No probe data for this endpoint yet.